package com.xhkjedu.slive.mapper.recordserver;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.slive.model.recordserver.LRecordserver;
import com.xhkjedu.slive.vo.liveplay.RecordserverVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname RecordserverMapper
 * @description todo
 * @date 2022/12/2 9:53
 **/
public interface RecordserverMapper extends TkMapper<LRecordserver> {
    //修改
    void update(@Param("rs") LRecordserver rs);

    //列表
    List<Map> findAll(@Param("rs") LRecordserver rs);

    //更改状态
    void updateStateById(@Param("rs") LRecordserver rs);

    //获取地址
    LRecordserver getPath();

    //根据sid获取地址
    String getPathById(@Param("sid") String sid);

    //根据课节id获取地址
    LRecordserver getRspathBySectionid(@Param("sectionid") Integer sectionid);

    //根据教师id获取区域编码和学校id
    RecordserverVo getCloudCodeAndSchoolIdByTid(@Param("tid") Integer tid);
}
